Subject: Re: Fwd: git p4: feature request - branch check filtering

From: Pete Wyckoff <[email-masked]>
Date: Wed, 23 Apr 2014 15:46:35 -0400

[email-masked] wrote on Tue, 22 Apr 2014 10:29 +0100:
> There is a patch viewable at this link:
> https://github.com/Stealthii/git/commit/f7a2e611262fd977ac99e066872d3d0743b7df3c
> 
> For the use case this works perfectly - if I define branch mappings
> with git config, followed by setting 'git-p4.skipBranchScan' to true,
> git-p4 will skip scanning of all remote branches and limit to what's
> defined in the map.  An example config:
> 
> [git-p4]
>         skipBranchScan = true
>         branchList = release_1.0.0:release_1.1.0
>         branchList = release_1.1.0:release_1.2.0
> 
> If there is any more information I need to provide let me know. I have
> been using this patch for over two months, testing both use cases with
> and without git-p4.skipBranchScan and I have noticed no issues.  Logic
> of git-p4 is not changed from default behaviour, unless the user
> explicitly sets the boolean flag to skip scanning.

Thanks, Dan.  This looks good and is a fine compromise
considering the various choices we discussed earlier.

Junio's comments about 2.0 non-withstanding, I think this change
should go into the next convenient release.  So 2.1 or 2.0.1;
however the numbers end up working post-2.0.

If you could take a look at Documentation/SubmittingPatches,
and do a few things:

    1.  Write a nice commit message, say:

	git p4: add skipBranchScan to avoid p4 branch scan

	Some more useful text.

    2.  Include at the bottom of that message:

	Acked-by: Pete Wyckoff <[email-masked]>

    3.  Inline the text of your patch, not just a link to github.

    4.  Consider adding a t98xx test.  This isn't required for
	a fairly minor change like yours, but if you think TDD
	is fun, have at it.  Might protect your feature against
	future hackers who would try to break it.  :)

Then send it to vger, cc junio (and me), and he will be kind
enough to queue it up appropriately.

Thanks!

		-- Pete